David E. Wheeler

Changes for version 1.11

  • Require Class::Container 0.09 or later. It seems that older versions don't work properly.
  • Updated Apache test to skip tests if the Apache server doesn't run mod_perl. Suggesed by Geoffrey Young.
  • Stopped checking for presence of LWP in Apache tests, since Apache::TestClient should work fine for the simple test requests.
  • The module now requires HTML::Mason 1.23, rather than just the requirements in Makefile.PL.
  • Require Params::CallbackRequest 1.11 or later to be in sync with request callback order of execution.
  • Fixed failing tests of notes functionality under Apache. Not sure how they ever passed, frankly.

Modules